Lucene search

K
redhatRedHatRHSA-2020:0217
HistoryJan 23, 2020 - 4:26 p.m.

(RHSA-2020:0217) Moderate: Ansible security and bug fix update (2.7.16)

2020-01-2316:26:02
access.redhat.com
44

CVSS2

6.1

Attack Vector

LOCAL

Attack Complexity

LOW

Authentication

NONE

Confidentiality Impact

COMPLETE

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:L/AC:L/Au:N/C:C/I:P/A:P

CVSS3

7.3

Attack Vector

LOCAL

Attack Complexity

LOW

Privileges Required

HIGH

User Interaction

NONE

Scope

CHANGED

Confidentiality Impact

HIGH

Integrity Impact

LOW

Availability Impact

LOW

CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:L/A:L

EPSS

0.001

Percentile

17.7%

Ansible is a simple model-driven configuration management,
multi-node deployment, and remote-task execution system. Ansible works over
SSH and does not require any software or daemons to be installed on remote
nodes. Extension modules can be written in any language and are transferred
to managed machines automatically.

The following packages have been upgraded to a newer upstream version: ansible (2.7.16)

Bug Fix(es):

  • CVE-2019-14904 Ansible: vulnerability in solaris_zone module via crafted solaris zone
  • CVE-2019-14905 Ansible: malicious code could craft filename in nxos_file_copy module

See: https://github.com/ansible/ansible/blob/v2.7.16/changelogs/CHANGELOG-v2.7.rst for details on bug fixes in this release.

OSVersionArchitecturePackageVersionFilename
RedHat7noarchansible< 2.7.16-1.el7aeansible-2.7.16-1.el7ae.noarch.rpm

CVSS2

6.1

Attack Vector

LOCAL

Attack Complexity

LOW

Authentication

NONE

Confidentiality Impact

COMPLETE

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:L/AC:L/Au:N/C:C/I:P/A:P

CVSS3

7.3

Attack Vector

LOCAL

Attack Complexity

LOW

Privileges Required

HIGH

User Interaction

NONE

Scope

CHANGED

Confidentiality Impact

HIGH

Integrity Impact

LOW

Availability Impact

LOW

CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:L/A:L

EPSS

0.001

Percentile

17.7%